#!/usr/bin/make -f

CMAKE_OPTS := -DDISABLE_WERROR=ON \
              -DCMAKE_BUILD_TYPE=RelWithDebInfo \
              -DENABLE_TESTS=NO \
              -DENABLE_EXAMPLES=NO \
	      -DFORCE_STATIC_SERVICE_LIBRARY=YES


%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

# Do not run tests, as they fall into race conditions sometimes
override_dh_auto_test:

execute_after_dh_auto_clean:
	find . -name '*.pyc' -exec rm {} \;
